# Praise

This page lists some of the positive comments/praise we have received.

# In the Media

> “Here's the thing. I have found a legitimate video editor for Linux,
> that is more powerful than Lightworks, that uses the latest GTK
> technologies, and it's available to run right now with one download,
> no proprietary counter. It's Pitivi. They just had a brand new
> version, 0.95, and it's a huge, huge deal. I'm not joking, this is a
> really big deal. \[...\] They've been essentially working on this
> release for over a year, and they have done SO. MUCH. WORK. It's
> almost an entirely new product. They've redone everything. \[...\]
> This looks like an actual video editor! \[...\] If you're familiar
> with Final Cut this is going to be a familiar editing experience for
> you. \[...\] This is a whole new deal. I'm excited.”

— Chris Fisher on the [Linux Action Show, episode
392](http://www.jupiterbroadcasting.com/90616/the-evolution-of-solus-las-392/)
(from 22 to 32 mins), 2015

> “Pitivi es uno de los mejores editores de vídeo para Linux que he se
> puede encontrar en la actualidad. La interfaz es sencilla y agradable
> a la vista, no hay complicaciones de ningún tipo… una de esas perlas
> de software que no se ven a menudo y que conviene tener siempre a
> mano.” (**translated**: *“One of the best video editors for Linux that
> I can find today. The interface is simple and pleasing to the eye, no
> complications... a rare gem that you don't see often in the software
> world, and something you should have on hand.”*

—
[UpToDown](http://blog.uptodown.com/pitivi-potente-rapido-y-eficaz-editor-de-videos-para-linux/),
September 11, 2012

> “It is a testimony to Pitivi's stability that the only problems I
> found with it were minor. (...) Obviously the big plus is the vast
> assortment of effects available, and how easy they are to configure
> and use. But the collective effect of the UI improvements (settings
> presets, detachable tabs) and other enhancements (fully adjustable
> frame rates, media previews) make for a better editing experience as
> well.”

—
[Linux.com](http://www.linux.com/learn/tutorials/465688-pitivi-video-editor-now-kitten-friendly),
July 6th, 2011

> “What impresses me about Pitivi isn't so much that it's a flexible
> multimedia editor — we have a handful of those already in the Linux
> community. What I think sets Pitivi apart is that it makes video
> editing intuitive. I don't generally create or edit video files, but I
> was able to jump right in with this application. I didn't have any
> need for a manual or tutorial (...). Pitivi has an interface which
> allows people to learn by doing without a bunch of scary options or
> jargon. Almost everything is drag-n-drop with this editor and I feel
> it lowers the bar for people interested in putting together their own
> videos.”

—
[DistroWatch](http://distrowatch.com/weekly.php?issue=20101025#feature),
October 25th, 2010

> “(...) I have to say the work Thibault and the Pitivi guys have done
> is incredible. Truly. (...) The wide selection of effects and the ease
> in which they can be added/used is so simple and user-intuitive it
> can’t help but stoke your creative fire. (...) The process for
> editing/adjusting clip effects in Pitivi certainly scores one up here.
> Where OpenShot hides effect preferences behind right-clicks and extra
> windows Pitivi puts them slapbang where you can see and access them
> equalling a usability plus. All of this is done in real-time, too: As
> soon as you drag an effect on a clip it’s instantly applied. This
> makes workflow irrepressibly speedy; you can see what works and what
> doesn’t straight away. (...) I am utterly, utterly astounded by the
> quality, handling & fantastic interface this has gained in such a
> short amount of time. It is a absolute credit to the talents of the
> team behind this – and it’s not even released yet!”

— [OMG!
Ubuntu!](http://www.omgubuntu.co.uk/2010/09/pitivi-video-effects-ubuntu-download/)
on the inclusion of special effects in September 2010

> “Overall, Pitivi is a promising application. It's a decent video
> editor with no frills, and intuitive to pick up. And in the tests I
> ran, Pitivi was rock-solid. This isn't something to be taken for
> granted. Years ago I spent time editing video with Kino for various
> projects, and learned to save after nearly every edit or operation.”

— [ars
technica](http://arstechnica.com/open-source/guides/2010/01/video-editing-in-linux-a-look-at-pitivi-and-kdenlive.ars),
February 1st, 2010

## Other mentions in the media

> “I shuddered at the thought of editing on Linux, as every piece of
> software I'd tried was extremely buggy and always crashed at some
> point in the process. After seeing a comment in this subreddit, I
> decided to give Pitivi a chance, and I was blown away. It is not the
> most feature-packed editor (kdenlive), but it did exactly what I
> needed it to do: I imported video, made cuts, added transitions, added
> titles, and rendered out a 30min video to ProRes. Not a single glitch
> in the whole process. Also, it looks great! If any Pitivi developers
> are reading, THANK YOU! You have made a functional video editor under
> Linux. Looking forward to your 1.0 release.”

— theray76 [on
Reddit](https://www.reddit.com/r/linux/comments/5mlsme/wanting_to_show_some_love_to_the_pitivi_project/),
2017-01-07

> “I've spent years looking for a simple, stable video editor to fit
> into my Linux (GNOME) desktop experience. Flatpak, and Pitivi
> installation via flapak is simple and it works. Pitivi 0.96 is a great
> release. It's stable, responsive, and it works. Kudos to the Pitivi
> developers and wider community. \[...\] if you're like me, and you've
> been waiting on the sidelines for a simple, stable video editor for
> Linux (and in particular the GNOME/GTK environment) then I recommend
> you give Pitivi 0.96 a try.”

— maheart [on
Reddit](https://www.reddit.com/r/linux/comments/4v0swv/pitivi_096_a_great_release/),
2016-07-28

> (...) "I have worked as video editor in my earlier life (before I
> became software programmer), and used Final Cut Pro. I have always
> been a Linux user though, and have meddled with everything that exist
> every single year. Cinelerra was always the fall-back that would never
> really let me down because it was frank about its crashes and they
> were possible to navigate around.
>
> In later years, I did find Pitivi to be a possible replacement for
> simple out-to-blog cuts. Especially the version before they added
> filters. Sadly, the filters-version exposed lots of bugs in the
> underlying stack and everything became dog-slow and probably quite
> unstable. I just stuck with that old (now very old) version.
>
> However, the new GES-backed 0.9-line that is aiming at becoming 1.0 is
> something totally different. It is really shaping up to becoming a
> quite awesome little video editor and I will be donating happily."
> (...)

— [Odin Hørthe Omdal on the 2014 fundraiser coverage article on OMG!
Ubuntu!](http://www.omgubuntu.co.uk/2014/02/pitivi-video-editor-fundraising-campaign),
February 24, 2014

# On our IRC channel/elsewhere

-   **P Fudd**: Thanks again for a great program! I managed to edit my
    file correctly in the first 5 minutes of using Pitivi, which is far
    faster than I managed with any other program! (2014 03 14 on
    bug 719651)
-   **Jonathan Duff**: I just want to say also I was blown away by how
    intuitive, versatile (by using GStreamer), and powerful this program
    is. I'm used to using Adobe Premiere Pro, so I was very impressed
    when I found this gem. (2010 12 31 at 21h55 UTC)
-   **rowinggolfer**: Loving the git version. You guys are awesome. I
    was a Pitivi skeptic until a couple of weeks ago, but I am using it
    daily to get stuff done with very few issues and a tiny learning
    curve (2010 02 21 at 13h15 GMT -5)
-   **Ants**: \[...\] Might I say, 0.14 has blown me away, it's
    fantastic! \[...\] (2011 06 05 on LP \#709090)

# Ubuntu Software Center reviews

## Version 0.15

-   “Works like a charm”:\
    Had to do some editing, was quick and simple. (Paulius Šukys,
    2014-03-03)
-   “Great little application for quick video editing”:\
    If you want to do some quick and simple video editing and exporting
    then this is a great app for that. Do not expect it to do the world.
    (Iain Lane, 2011-11-02)
-   “Must Have Video Editor!”:\
    Gotta be one of the best I've used! It's definitely gotten WORLDS
    better than it used to be. (Yanike, 2011-12-14)
-   “My Favorite Video Editor on Ubuntu”:\
    I know that OpenShot seems to get a lot more attention as a video
    editor on Ubuntu, but I find Pitivi to be the better software. For
    example, I find making the actual cuts, more instinctual on Pitivi,
    and I'm able to be more precise - It earns a lot of points for that.
    \[...\] if you really want to do some efficient editing, I say go
    with Pitivi. It gets my vote. (DigitalMan, 2011-11-27)
-   “Better than Ever”:\
    What else can I say? UI is good, effects are nice and it handles big
    files (2 GB) without crashing. It took a while, but now Pitivi is
    finally usable editor with potential! (PYHhfWp, 2011-10-31)
-   “Getting there”:\
    It has taken a while, but as of version 0.15.0, Pitivi is both
    stable for me and presents a sufficient featureset to be useful.
    Compared to other video editors, I find the UI a pleasure to use.
    However, it's about time the still missing features (titling and
    more complex transitions) are implemented. (Alexander Hunziker,
    2011-09-29)

# On Twitter (in all languages)

-   **yurayko** I just donated 20€ to the @Pitivi video editor and you
    should too, because perseverance wins when all else fails (7:29 AM -
    23 Nov 2015)
-   **mcnelsn** Needed a good video editor on Linux. First go-around
    with @Pitivi and I'm very, very impressed! (1:10am · 30 Sep 2014)
-   **P3terFr** Je test \#Pitivi, un logiciel libre de montage vidéo.
    C'est aussi bon qu'un Sony Vegas ou un Adobe Premiere ! (4:27 PM -
    21 Apr 2013)
-   **lornajane** Did I mention how much I love ubuntu? Kazam and PiTIVi
    make screencasting entirely approachable, fantastic tools (4:27 PM -
    25 Mar 2013)
-   **TheSamsai** Oon alkanu tykkää Linuxilla videoiden editoimisesta.
    Onhan siinä omat pikku mutkat, mut en anna sen haitata. Good job
    \#pitivi developers! (4:08 AM - 15 Sep 2012)
-   **Kurobyte** Editar un vídeo con Pitivi y que salga mejor que con
    Vegas Pro e Adobe Premiere. Software Libre Rlz. (5:37 AM - 16
    Sep 2012)
-   **CharlesYarnold** The power of FLOSS! Rerendered the videos in
    Pitivi and all is happy again. \#flossuk (4:20 AM - 21 Mar 12 via
    TweetDeck)
-   **CytecK** Me pasan unos vídeos con un codec mpg2 que ningún editor
    de mac/Pc se lo traga y el puto Pitivi para linux si \#epicwin (7:36
    AM - 8 Mar 12 via Twitter for Mac)
-   **Dylan\_Coakley** Must give some thanks and praise to the Pitivi
    video editor, saved my ass because OpenShot kept corrupting my .ogv
    files! \#Pitivi (4:33 AM - 8 Mar 12 via Ubuntu)
-   **ubuntufanatic** Hmm, my trials creating my Speed Dreams video
    suggest that Pitivi may be the best video editor for Linux, even
    despite the trajic name... (12 Feb 2012)
-   **marce34** @savermsx Los últimos podcasts los he hecho con Pitivi y
    va bastante bien (6 Feb 2012)
-   **julinux** No he encontrado ningún editor de vídeo más rápido y
    sencillo que Pitivi, es una maravilla de verdad (nivel amateur por
    supuesto) (11 Sept 2011)
-   **altnative**
    Ubuntuについてる「Pitivi動画エディタ」が意外に使えることが判明。flvを食わせると落ちるけど、他の形式だとサクサク編集できる。WindowsMovieMaker2と似たUIなので馴染みやすい。(1
    Sep 2011)
-   **Valkyri9** Pitivi 1.4.2 has come a long way - hooray for video
    effects and basic transitions! Another reason I don't need M\$ crap!
    Pitivi.org (31 Aug 2011)
-   **zeenix** new Pitivi UI is much more intuitive (at least now i can
    do basic stuff without reading lots of docs) (29 Aug 2011)
-   **gustawho** Editar videos con Pitivi + Publicarlos en FB con
    Shotwell = Win absoluto. (14 Aug 2011 via web)
-   **paxnovem** Pitivi just released a new version! Thank you
    @thiblahute @nekohayo you guys are really turning this project
    around (13 Aug 2011)
-   **leighblackall** Pitivi video editor is working great on my new
    Ubuntu install!! <http://j.mp/5DvY7b> love it when free software
    works better than paysoft (23 Jul 2011)
-   **LinuxBird** Vi presentiamo il nostro video promo realizzato con
    \#Gimp e \#Pitivi :) <http://vimeo.com/26108682> \#videoediting (7
    Jul 2011)
-   **Wolfdale64** Pretty impressed the Pitivi video editor in Linux can
    leverage multiple cores. (24 Jun 2011)
-   **MarceloGomezG** Pitivi 0.14.0 por fin se está poniendo a la
    altura. (24 Jun 2011)
-   **frefro** \#Pitivi, en \#Ubuntu, hace todo lo que un usuario común
    necesita! (14 Jun 2011)
-   **CabeludoPLC** Pitivi está bastante usable \#linux (13 Jun 2011)
-   **omaregan** wow, Pitivi renders to vp8 very cool indeed (2
    Jun 2011)
-   **oleg\_mangutov** Wow! Editing video in Pitivi is so easy: 4 hours
    from 03:00 to 07:00 am and afterparty video is ready. (29 May 2011
    via web)
-   **Cehars** Pitivi sen ne güzel şeymişsin öyle.. :) (9 May 2011)
-   **diipad** Ohh vaya que grato es el uso de Pitivi, se los recomiendo
    mucho a esos usuarios que editan video para Vlogs y esas cosas,
    desde LINUX. (7 Apr 2011)
-   **dtumelero** estou editando um video no Pitivi, por ser a 1ª vez
    que mecho parece ser bem simples de usar e tem recursos
    interessantes (3 Apr 2011)
-   **silveira** Pitivi tá muito bom. tem seus bugs mas tá quebrando um
    galhão (2 Apr 2011)
-   **Spirotot** Using the simple, yet powerful \#Pitivi video editor on
    \#Ubuntu to mux/render my \#buffer \#overflow tutorial... Solid
    program. (31 Mar 2011)
-   **mahmoudhossam** Pitivi is now my official video editing software
    :) (8 Feb 2011)
-   **spouyllau** monte des films avec \#Pitivi sous Ubuntu : dv, ogg,
    flash : très bon (enfin) ! (29 Jan 2011)
-   **jaimekristene** I think quite a few people are going to give
    Pitivi another chance after my talk here at \#lca2011 gotten some
    positive feedback about it. (24 Jan 2011)
-   **floydwilde** Pitivi has turned out to be the linear digital video
    editor that works best for me, tried it on ubuntu lucid and mav. (18
    Jan 2011)
-   **irabinovitch** Played with Pitivi, Lives, & Kino for some video
    editing tonight. Maybe Im just dense but I could only figure out how
    to do it with Pitivi. (4 Jan 2011)
-   **pixelot** Rendering a snowmobiling video in \#Pitivi. Pretty
    impressive—a bit buggy, but probably my favorite \#Linux video
    editor so far. (Dec 24 2010)
-   **escalant3** Vaya maravilla el Pitivi. Necesitaba pegar cuatro
    vídeos, nunca lo había usado y lo tengo listo en 5 minutos. Eso es
    usabilidad... y libre! (Nov 18 2010)
-   **BadWolf42** Now if only Pitivi did GPU encoding this would go
    much, much faster. Still, can't argue with the price! (10 Nov 2010)
-   **BadWolf42** So I WAS going to buy video editing software for my HD
    video, but it turns out that Pitivi in Ubuntu does it for free! WIN
    (10 Nov 2010)
-   **ReneMolenaar** been fighting all day long with ffmpeg/mencoder to
    convert from OGV to FLV....until I tried Pitivi...that program
    rocks!! (9 Nov 2010)
-   **rv** Avec Pitivi on peut encoder les vidéos en WebM. Ça va faire
    plaisir à @LordTonPere ça. \#LibérezVP8 ! (9 Nov 2010)
-   **creationix** xVidCap + Inkscape + Pitivi actually make a great
    combo for screencasting in linux. (7 Nov 2010)
-   **bpxdev** Loving the Pitivi video editor at the moment, so simple
    yet so powerful (Thu Aug 05 2010 10:34:12 (EDT) via TweetDeck)
-   **TeraDyne** You know, after using it for a while, I think I find
    Pitivi to be superior to Windows Movie Maker for my needs. :p (Wed
    Aug 04 2010 05:22:22 (EDT) via web)
-   **carlopiana** First time ever I have used Pitivi, and it's quite
    easy for basic video editing once you grasped the basic (RTFM,
    Carlo, RTFM!) (Fri Jul 30 2010 10:49:09 (EDT) via identica)
-   **bigdaddymerk** Pitivi is a great open source video editor for
    Linux, really impressed with it. (Sun Jun 20 2010 18:55:15 (EDT) via
    dabr)
-   **dylanmccall** Just found \#Pitivi's Quick Start Manual. Wow, it's
    great! I hope that gets shipped with it some day. Maybe a \#Mallard
    version? :) (Sat Jun 12 2010 00:32:06 (EDT) via Identica)
-   **murilomachado** editando o \#tcc no \#Pitivi. Cativante pela
    simplicidade. Recomendo! \#linux \#softwarelivre (Sun May 30 2010
    13:02:41 (EDT) via web)
-   **yaxu** Loving Pitivi for simple video editing
    <http://www.pitivi.org/> (Thu May 27 2010 11:10:50 (EDT) via web)
-   **MacoLabels** Just installed Pitivi Movie Editor (
    <http://www.pitivi.org/> )on Ubuntu. Can't believe it's free. (Tue
    May 25 2010 12:12:58 (EDT) via web)
-   **RaiHS**
    <http://blog.narendrasisodiya.com/2010/05/kids-says-linux-is-easy.html>
    kids were able to cut-join Videos using \#Pitivi video editor (Sat
    May 22 2010 05:10:22 (EDT) via web)
-   **for\_django** I'm actually using Pitivi to cut some video. An app
    this simple is pretty much my speed for this particular task. (Tue
    May 18 2010 14:50:13 (EDT) via identica)
-   **rtrappe** Installed Ubuntu 10.4. Great software! And finally Gnome
    has an usable video editor. Happy to forget all my ffmpeg knowledge.
    \#Pitivi (2:58 AM May 16th via Gwibber)
-   **gbarrero** \#Pitivi me salvó la vida jejeje ... I love \#Ubuntu
    10.04 ;-) (7:45 PM May 6th via Gwibber)
-   **ryanprior** I just made my first video using \#Pitivi on \#ubuntu,
    good experience! So much nicer and easier than \#OpenShot, which I
    had been using. (4:19 PM May 4th via Identica)
-   **neried7** @jonobacon i love Pitivi, it's fanfrickintastic. (9:21
    AM Apr 22nd via BarnOwl in reply to jonobacon)
-   **jonobacon** Playing with Pitivi which we now ship on a default
    Ubuntu 10.04 installation - it is absolutely fantastic! Great work
    @bilboed (12:19 AM Apr 22nd via Gwibber)
-   **Wrinkliez** first time trying anything video-editing-related. what
    im finding is that Pitivi is really all I need— and that kdenlive is
    buffy as fuck (2:08 PM Apr 17th via API)
-   **BranchPlan** Just did small experiment with \#Pitivi in \#ubuntu
    lucid. Replaced audio of video with song (example content). Worked
    well and v. easy. (1:46 PM Mar 30th via identica)
-   **tristan\_2468** The new Pitivi video editing software in \#Ubuntu
    is seriously impressive. (11:08 AM Mar 29th via Gwibber)
-   **zootm** @rubzo I found Pitivi (out some name similar too that)
    surprisingly decent. I didn't have huge requirements though. (7:54
    AM Mar 28th via Seesmic in reply to rubzo)
-   **castrojo** @bilboed - Took some video this weekend with my Nexus,
    mnted it, imported, shuffled things, added music. And done. \#Pitivi
    ftw. (4:23 PM Mar 24th via Gwibber)
-   **lucasratmundo** Pitivi 0.13.4 is a really nice release. I only
    miss some basic transitions and video adjustments (brightness,
    saturation, contrast, etc). (6:05 PM Mar 21st via web)
-   **monsterjavaguns** Played a bit with Pitivi - I'm actually pretty
    impressed. Thought that project had been abandoned. Still doesn't do
    everything I need, tho (2:55 PM Mar 11th via web)
-   **thezub** I've been experimenting with video editors. Really loving
    Pitivi. <http://www.pitivi.org/> \#gnu \#linux \#Pitivi \#gstreamer
    \#freesoftware (9:54 AM Mar 7th via web)
-   **acruiz** I'm finally managing to put together my first screencast
    with \#Pitivi and \#gtk-recordmydesktop! (12:14 PM Feb 20th from
    web)
-   **tueqtle009** Just compiled a video with Pitivi. Unlike Movie
    Maker, it allows the user to choose the output format. I prefer
    Theora to WMV. (8:51 AM Feb 19th from Echofon)
-   **inorman88** OH MY GAWD! I found a video making program that will
    handle [5D Mark II 1080p video](http://vimeo.com/9460793) out of the
    box. And it's open source for linux. Pitivi (8:05 PM Feb 14th from
    web)
-   **bercolax** Pitivi rocks in editing screencasts... Tried it in
    Ubuntu <http://www.pitivi.org/> (9:49 PM Feb 5th from web)
-   **yibble** Having some fun with Pitivi... Finally, simple video
    editing for GNU/Linux that doesn't require any actual pro' courses
    before using. (2:12 PM Jan 25th from HootSuite)
-   **ColinMacD** Wow, I just edited a video on linux and it wasn't a
    complete nightmare. Easy and a joy infact! \#Pitivi is amazing!
    (2:05 PM Jan 8th from Mauku)
-   **zylogz80** \#Pitivi is soooo cool! Like iMove for Linux. Very
    impressed! (5:46 PM Dec 31st, 2009 from web)
-   **F1LT3R** Just discovered Pitivi the .ogg video editor for Gnome.
    “It just works!” And it just works very well. <http://bit.ly/rNzxM>
    (5:49 PM Nov 28th, 2009 from TweetDeck)
-   **rysiekpl** Pitivi and UbuntuStudio are absolutely, positively,
    \*awesome\*! plus VLC and you get a full-blown video production and
    streaming solution! :) (4:13 PM Nov 28th, 2009 from identica)
-   **EugeniaLoli** What does my mother, Pitivi, Kodak and Linux have in
    common? Find out
    [here](http://eugenia.gnomefiles.org/2009/11/27/kodak-digicam-hd-editing-with-pitivi/)
    ;-) (9:09 PM Nov 27th, 2009 from web)
-   **pantoniades** needed a simple & easy video editing tool, and
    \#Pitivi was perfect for the job. (9:44 AM Aug 14th, 2009 from
    Gwibber)
-   **herrsteiner** \#Pitivi helped me to convert a video to \#ogg
    \#theora which I strangely couldn't convert on commandline without
    losing the audio (7:31 PM Aug 13th, 2009 from web)
