# 0.13.3 Release : ... we shall never (sur)render

The PiTiVi team is proud to announce the second release in the unstable
0.13 PiTiVi series.

Due to its dependency on GStreamer, The PiTiVi team strongly recommends
users have all official latest gstreamer libraries and plugins installed
for the best user experience.

Title is from a quote by Winston Churchill “We shall defend our island,
whatever the cost may be, we shall fight on the beaches, we shall fight
on the landing grounds, we shall fight in the fields and in the streets,
we shall fight in the hills; we shall never surrender.”

## Features of this release

-   Fix rendering failures
-   UI beautifications
-   Switch to themeable ruler
-   Speed optimisations
-   Show the project name in the window title

## Requirements

-   gstreamer &gt;= 0.10.24
-   gst-python &gt;= 0.10.16
-   gnonlin &gt;= 0.10.13
-   pygtk &gt;= 2.14.0
-   Python &gt;= 2.5
-   zope-interface
-   python setuptools
-   pygoocanvas (http://live.gnome.org/GooCanvas)
-   dbus and HAL for capture support

## Contributors

Ranked by commits:

`   39  Alessandro Decina`\
`   32  Brandon Lewis`\
`   22  Edward Hervey`\
`    2  Hendrik Richter`\
`    2  Jorge González`\
`    2  Michael Terry`\
`    1  Antón Méixome`\
`    1  Claude Paroz`\
`    1  Daniel Nylander`\
`    1  Petr Kovar`

## Download

PiTiVi source tarballs are available on gnome FTP:
<http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.13/>

Packages for Ubuntu 9.04 (Jaunty Jackalope) are available on [this PPA
repository](https://launchpad.net/~gstreamer-developers/+archive/ppa).

## Information and Feedback

-   Information for users and developers can be found on the PiTiVi
    website : <http://www.pitivi.org/>
-   Comments and feedback are welcome.
    -   Mailing-list : pitivi-pitivi@lists.sourceforge.net
    -   PiTiVi bug-tracker :
        <http://bugzilla.gnome.org/browse.cgi?product=pitivi>

## Bugs Fixed

-   [520653](http://bugzilla.gnome.org/show_bug.cgi?id=520653) :
    pitivi.desktop fixes and more
-   [575311](http://bugzilla.gnome.org/show_bug.cgi?id=575311) : clips
    appear to be duplicated at high zoom levels when the timeline cursor
    is near the edge
-   [576576](http://bugzilla.gnome.org/show_bug.cgi?id=576576) : not
    possible to add clip at end of timeline
-   [584170](http://bugzilla.gnome.org/show_bug.cgi?id=584170) : Video
    Playback Fails, Without Program Crash
-   [589809](http://bugzilla.gnome.org/show_bug.cgi?id=589809) :
    \[performance\] zooming (even without thumbnails/waveforms) is slow
-   [590114](http://bugzilla.gnome.org/show_bug.cgi?id=590114) :
    rendering never finishes
-   [590153](http://bugzilla.gnome.org/show_bug.cgi?id=590153) : Zoom to
    optimum level when loading projects
-   [590203](http://bugzilla.gnome.org/show_bug.cgi?id=590203) : image
    hang during playback (auriga)
-   [590440](http://bugzilla.gnome.org/show_bug.cgi?id=590440) : Strings
    not marked for translation in check.py
-   [591571](http://bugzilla.gnome.org/show_bug.cgi?id=591571) :
    Removing a keyframe is not easy
-   [591616](http://bugzilla.gnome.org/show_bug.cgi?id=591616) : crashes
    when creating a new project after loading a project
-   [591617](http://bugzilla.gnome.org/show_bug.cgi?id=591617) :
    regression: centering on playhead when zooming broke
-   [593736](http://bugzilla.gnome.org/show_bug.cgi?id=593736) : play
    button is empty
-   [594114](http://bugzilla.gnome.org/show_bug.cgi?id=594114) : Sound
    curves not taken into account when rendering
-   [594311](http://bugzilla.gnome.org/show_bug.cgi?id=594311) :
    Clicking the timeline leads to a TypeError
-   [575975](http://bugzilla.gnome.org/show_bug.cgi?id=575975) :
    project-centric window title
-   [582363](http://bugzilla.gnome.org/show_bug.cgi?id=582363) : huge
    tabs the size of a hallway
-   [594181](http://bugzilla.gnome.org/show_bug.cgi?id=594181) :
    playhead/seeking broken by latest changes to factory cache in
    singledecodebin
-   [594396](http://bugzilla.gnome.org/show_bug.cgi?id=594396) : " save
    as " confuses pitivi; subsequent saves are on the original project
    file

...and more. See the [list of bugs fixed on
Bugzilla](http://bugzilla.gnome.org/buglist.cgi?product=pitivi&target_milestone=0.13.3)
